> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lunary.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a playground endpoint

> Update an existing playground endpoint



## OpenAPI

````yaml https://api.lunary.ai/v1/openapi put /v1/playground-endpoints/{id}
openapi: 3.0.0
info:
  title: Lunary API
  version: 1.0.0
servers:
  - url: https://api.lunary.ai
security: []
tags: []
paths:
  /v1/playground-endpoints/{id}:
    put:
      tags:
        - Playground Endpoints
      summary: Update a playground endpoint
      description: Update an existing playground endpoint
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: a223d4e3-6b39-4989-a8d0-1abbbea1041d
      responses:
        '200':
          description: Endpoint updated successfully
          content:
            application/json:
              schema:
                $ref: 63adfdc5-8ec8-4c2b-9738-7de63be9c32e
        '404':
          description: Endpoint not found
      security:
        - ProjectPrivateApiKeyAuth: []
components:
  securitySchemes:
    ProjectPrivateApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: UUID
      description: 'Use a project private API key via `Authorization: Bearer <key>`.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.